// Base Linear Array̗ONX
// developped by denpaware 1999.  
// last update 5/29

#ifndef CLARRAYEXCEPT_INCL
#define CLARRAYEXCEPT_INCL

#include "baseexcept.h"
#include "LArrayExceptMesg.h"

class CLArrayExcept : public CBaseException
{
private:
	int accessPosition;
	int instanceLength;
	char instanceName[_MAX_PATH];
	int errorCode;
public:
	enum ERROR_CODE {
		NO_POS = -1,
		INVALID_OBJ = 0,
		MALLOC_FAILED = 1,
		INVALID_POS = 2,
		GET_FILE_LENGTH_FAILED = 3,
		FILE_LOAD_FAILED = 4,
		FILE_SAVE_FAILED = 5,
		TOOLONG_INSTNAME = 6
	};


	CLArrayExcept(int errcode , char *pFile , int line , 
		char* name , int pos ,int length) 
		: CBaseException((char *)messages[errcode] , pFile , line)
	{


			strcpy(instanceName , name);
			accessPosition = pos;
			instanceLength = length;
			errorCode = errcode;
	}
};

#endif